# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: athena/api/topic.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from weclikd.common import sql_field_options_pb2 as weclikd_dot_common_dot_sql__field__options__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='athena/api/topic.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x16\x61thena/api/topic.proto\x12\x07weclikd\x1a\x1fgoogle/protobuf/timestamp.proto\x1a&weclikd/common/sql_field_options.proto\"\xe9\x02\n\x05Topic\x12\x10\n\x02id\x18\x01 \x01(\x04\x42\x04\x90\xb5\x18\x01\x12\x17\n\x0fparent_topic_id\x18\x02 \x01(\x04\x12\x0c\n\x04name\x18\x03 \x01(\t\x12\x15\n\x07parents\x18\x04 \x03(\tB\x04\x88\xb5\x18\x01\x12\x1e\n\x10parent_topic_ids\x18\x05 \x03(\x04\x42\x04\x88\xb5\x18\x01\x12\x16\n\x08\x63hildren\x18\x06 \x03(\tB\x04\x88\xb5\x18\x01\x12\x15\n\x07\x61liases\x18\x07 \x03(\tB\x04\x88\xb5\x18\x01\x12(\n\x08keywords\x18\x08 \x03(\x0b\x32\x16.weclikd.Topic.Keyword\x12\x19\n\x11\x62\x61nner_picture_id\x18\t \x01(\x04\x12\x13\n\x0b\x64\x65scription\x18\n \x01(\t\x12\x11\n\tfollowers\x18\x0b \x01(\r\x12+\n\x07\x63reated\x18\x0c \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x1a\'\n\x07Keyword\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x0e\n\x06weight\x18\x02 \x01(\x05\"9\n\x0bTopicFamily\x12\x16\n\x08topic_id\x18\x01 \x01(\x04\x42\x04\x90\xb5\x18\x01\x12\x12\n\x04name\x18\x02 \x01(\tB\x04\x90\xb5\x18\x01\x62\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,weclikd_dot_common_dot_sql__field__options__pb2.DESCRIPTOR,])




_TOPIC_KEYWORD = _descriptor.Descriptor(
  name='Keyword',
  full_name='weclikd.Topic.Keyword',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='name', full_name='weclikd.Topic.Keyword.name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='weight', full_name='weclikd.Topic.Keyword.weight', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=431,
  serialized_end=470,
)

_TOPIC = _descriptor.Descriptor(
  name='Topic',
  full_name='weclikd.Topic',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.Topic.id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='parent_topic_id', full_name='weclikd.Topic.parent_topic_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='weclikd.Topic.name', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='parents', full_name='weclikd.Topic.parents', index=3,
      number=4, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\210\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='parent_topic_ids', full_name='weclikd.Topic.parent_topic_ids', index=4,
      number=5, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\210\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='children', full_name='weclikd.Topic.children', index=5,
      number=6, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\210\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='aliases', full_name='weclikd.Topic.aliases', index=6,
      number=7, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\210\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='keywords', full_name='weclikd.Topic.keywords', index=7,
      number=8, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='banner_picture_id', full_name='weclikd.Topic.banner_picture_id', index=8,
      number=9, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='description', full_name='weclikd.Topic.description', index=9,
      number=10, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.Topic.followers', index=10,
      number=11, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.Topic.created', index=11,
      number=12, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_TOPIC_KEYWORD, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=109,
  serialized_end=470,
)


_TOPICFAMILY = _descriptor.Descriptor(
  name='TopicFamily',
  full_name='weclikd.TopicFamily',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='topic_id', full_name='weclikd.TopicFamily.topic_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='weclikd.TopicFamily.name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=472,
  serialized_end=529,
)

_TOPIC_KEYWORD.containing_type = _TOPIC
_TOPIC.fields_by_name['keywords'].message_type = _TOPIC_KEYWORD
_TOPIC.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
DESCRIPTOR.message_types_by_name['Topic'] = _TOPIC
DESCRIPTOR.message_types_by_name['TopicFamily'] = _TOPICFAMILY
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Topic = _reflection.GeneratedProtocolMessageType('Topic', (_message.Message,), {

  'Keyword' : _reflection.GeneratedProtocolMessageType('Keyword', (_message.Message,), {
    'DESCRIPTOR' : _TOPIC_KEYWORD,
    '__module__' : 'athena.api.topic_pb2'
    # @@protoc_insertion_point(class_scope:weclikd.Topic.Keyword)
    })
  ,
  'DESCRIPTOR' : _TOPIC,
  '__module__' : 'athena.api.topic_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Topic)
  })
_sym_db.RegisterMessage(Topic)
_sym_db.RegisterMessage(Topic.Keyword)

TopicFamily = _reflection.GeneratedProtocolMessageType('TopicFamily', (_message.Message,), {
  'DESCRIPTOR' : _TOPICFAMILY,
  '__module__' : 'athena.api.topic_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.TopicFamily)
  })
_sym_db.RegisterMessage(TopicFamily)


_TOPIC.fields_by_name['id']._options = None
_TOPIC.fields_by_name['parents']._options = None
_TOPIC.fields_by_name['parent_topic_ids']._options = None
_TOPIC.fields_by_name['children']._options = None
_TOPIC.fields_by_name['aliases']._options = None
_TOPICFAMILY.fields_by_name['topic_id']._options = None
_TOPICFAMILY.fields_by_name['name']._options = None
# @@protoc_insertion_point(module_scope)
